Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 39 lines (32 sloc) 1.557 kb
9fedc54 @dchelimsky store gemspec in git
dchelimsky authored
1 # -*- encoding: utf-8 -*-
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
2 $LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
3 require "rspec/core/version"
9fedc54 @dchelimsky store gemspec in git
dchelimsky authored
4
5 Gem::Specification.new do |s|
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
6 s.name = "rspec-core"
7 s.version = RSpec::Core::Version::STRING
8 s.platform = Gem::Platform::RUBY
33e835a @dchelimsky add license to gemspec (and consequently the gem)
dchelimsky authored
9 s.license = "MIT"
10 s.authors = ["Steven Baker", "David Chelimsky", "Chad Humphries"]
d1ea9b9 @dchelimsky update email addy and homepage in gemspec
dchelimsky authored
11 s.email = "rspec-users@rubyforge.org"
12 s.homepage = "http://github.com/rspec/rspec-core"
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
13 s.summary = "rspec-core-#{RSpec::Core::Version::STRING}"
dbe818b @dchelimsky gemspec tweaks
dchelimsky authored
14 s.description = "BDD for Ruby. RSpec runner and example groups."
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
15
16 s.rubyforge_project = "rspec"
17
5068e70 @dchelimsky dev: constrain file list in gemspec
dchelimsky authored
18 s.files = `git ls-files -- lib/*`.split("\n")
47d7d0c @dchelimsky Changlog.md (not txt)
dchelimsky authored
19 s.files += %w[README.md License.txt Changelog.md .yardopts .document]
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
20 s.test_files = `git ls-files -- {spec,features}/*`.split("\n")
0f55f0f @dchelimsky -cutables
dchelimsky authored
21 s.bindir = 'exe'
22 s.executables = `git ls-files -- exe/*`.split("\n").map{ |f| File.basename(f) }
6960b5c @myronmarston Remove dependency on jeweler.
myronmarston authored
23 s.rdoc_options = ["--charset=UTF-8"]
24 s.require_path = "lib"
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
25
7eaa1f6 @dchelimsky dev: align Gemfiles across rspec projects
dchelimsky authored
26 s.add_development_dependency "rake", "~> 0.9.2"
5b255ac @dchelimsky bump to 2.9.0.rc1
dchelimsky authored
27 s.add_development_dependency "cucumber", "~> 1.1.9"
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
28 s.add_development_dependency "aruba", "~> 0.4.11"
7eaa1f6 @dchelimsky dev: align Gemfiles across rspec projects
dchelimsky authored
29
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
30 s.add_development_dependency "ZenTest", "4.6.2"
5b255ac @dchelimsky bump to 2.9.0.rc1
dchelimsky authored
31 s.add_development_dependency "nokogiri", "1.5.2"
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
32 s.add_development_dependency "fakefs", "0.4.0"
a7ebbb4 @dchelimsky dev: syntax gem is a dev dependency
dchelimsky authored
33 s.add_development_dependency "syntax", "1.0.0"
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
34
5b255ac @dchelimsky bump to 2.9.0.rc1
dchelimsky authored
35 s.add_development_dependency "mocha", "~> 0.10.5"
36 s.add_development_dependency "rr", "~> 1.0.4"
88868ff @dchelimsky bump some dev deps and move their declarations to gemspec
dchelimsky authored
37 s.add_development_dependency "flexmock", "~> 0.9.0"
9fedc54 @dchelimsky store gemspec in git
dchelimsky authored
38 end
Something went wrong with that request. Please try again.